This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 217024 - CVE-2006-6054 ext2_check_page denial of service
CVE-2006-6054 ext2_check_page denial of service
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=low,source=internet,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 03:23 EST by Marcel Holtmann
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0673
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 14:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-11-23 03:23:04 EST
From MOKB-12-11-2006:

http://projects.info-pull.com/mokb/MOKB-12-11-2006.html

The ext2 filesystem code fails to properly handle corrupted data structures,
leading to an exploitable denial of service issue when read operation is being
done on a crafted fs stream.
Comment 1 Don Howard 2006-11-28 16:09:09 EST
While this does cause a noticable slowdown, the system is still accessable and
usable.  I don't think this rises to the level of a security issue.
Comment 3 Don Howard 2007-07-07 02:36:21 EDT
A patch addressing this issue has been included in kernel-2.4.18-e.65.
Comment 6 Red Hat Bugzilla 2007-08-08 14:54:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0673.html

Note You need to log in before you can comment on or make changes to this bug.